Benvenuti in MagicDoc
Top Next

Benvenuti nel mondo della archiviazione di documenti. Grazie per aver acquistato MagicDoc, uno dei più semplici e affidabili programmi di archiviazione crittografata.
Grazie a una tecnologia all'avanguardia e a un costante impegno a migliorare il nostro software, implementiamo continuamente il nostro know-how per rendere il processo di archiviazione documenti il più semplice e fluido possibile.
Questo manuale assiste l' utente nell' installazione del programma. Trattandosi di un processo molto semplice, qualunque utente sarà in grado, in brevissimo tempo, di usare Magicdoc.


Versione programma
Previous Top Next

La versione del programma è la versione 3.0.


Requisiti di sistema

Sul sistema in uso deve essere stato preinstallato un sistema operativo. In alternativa, è possibile aggiornare il sistema operativo esistente alla versione più recente. Qui di seguito sono elencati i sistemi operativi supportati da MagicDoc. Verificare di avere a disposizione uno dei seguenti sistemi operativi:
Sistema operativo
· Windows 95
· Windows 98/SE
· Windows ME
· Windows NT 4.0
· Windows 2000
· Windows XP
Hardware
· Il PC deve disporre di un processore da 250 MHz o superiore. Fare riferimento ai manuali forniti in dotazione con il PC per informazioni sulla configurazione del sistema.
· È necessario disporre di almeno 64 MB di memoria RAM. In genere, è preferibile una quantità maggiore.
· Scheda grafica con almeno 8 MB di RAM video.
· È consigliabile utilizzare MagicDoc con una risoluzione dello schermo di 1024x768 pixel o superiore.
· 700 MB di spazio libero sul disco rigido per le immagini. In genere, è preferibile una quantità maggiore.


Installazione di Magicdoc

Passo 1: Inserire il CD-ROM di MagicDoc nell'unità CD/DVD del PC.
Se è attivata la funzione di esecuzione automatica, l'installazione verrà avviata automaticamente.
Se non è attivata la funzione di esecuzione automatica, scegliere Risorse del computer, selezionare la lettera dell'unità CD/DVD, quindi fare clic su MagicDoc.exe.

Passo 2: Seguire le istruzioni visualizzate fino al completamento dell'installazione del software.


Disinstallazione di MagicDoc

Passo 1: Scegliere Start > Pannello di controllo > Installazione applicazioni.

· In alcuni sistemi operativi, scegliere Start > Impostazioni > Pannello di controllo.

Passo 2: Selezionare MagicDoc nella finestra Installa/Rimuovi e fare clic su "Aggiungi/Rimuovi".


Primo avvio di MagicDoc

La prima operazione da effettuare consiste nell'avviare il programma Magicdoc.
Esistono due modi per avviare il programma:

· È possibile fare doppio clic sull'icona di Magicdoc presente sul desktop.

· In alternativa, è possibile scegliere Start > Tutti i programmi > MagicDoc, quindi selezionare MagicDoc.
· In alcuni sistemi operativi, scegliere Start > Programmi > MagicDoc > MagicDoc.


Inserimento password Amministratore

Al primo avvio del programma Magicdoc chiede la Password Amministratore.
Questa password è molto importante in qanto permette di svolgere tutte le
attività di amministrazione del programma ed inoltre permette di visionare
tutti i documenti criptati.

IMPORTANTE:
NON DIMENTICARE LA PASSWORD


Inserimento password livelli di secretazione documenti

Dopo essere entrati nel programma come Amministratore bisogna inserire le password
di secretazione dei documenti.

IMPORTANTE

MagicDoc prevede due livelli di sicurezza e pertanto due password.

· Password personale
· Password di secretazione

La prima è la password personale dell'utente.
La seconda password invece corrisponde a 4 livelli massimi di "secretazione" dei
documenti uguale per tutti gli utenti. Naturalmente è anche possibile utilizzare meno livelli di secretazione.
In pratica chi conosce la password di secretazione che corrisponde al primo livello
accede a documenti assegnati al livello 1, chi conosce la seconda accede ai
documenti assegnati al livello 1 e 2 e così via fino a quattro.
Esempio:
Utente assegnato a livello di password personale al gruppo che prevede la visualizzazione
di documenti del cliente ALFA srl. L'utente inoltre conosce la password di secretazione di livello
1.
Se un documento viene secretato a livello 2 o superiore, anche se
l'utente è abilitato per il cliente ALFA srl a livello di password personale, non potrà vedere
quel particolare documento di livello di secretazione 2.
Se però ne ha bisogno, il documento gli può venire "spedito" via posta da
chi è autorizzato a vedere il documento.
Tutti le spedizioni e visioni dei vari documenti vengono registrate in un file LOG, che può
venire visionato in qualsiasi momento.

Scegliere dal menu principale Utilità e Servizi

Poi Opzioni Scanner e Registrazione

Inserire le password di secretazione. Naturalmente è anche possibile inserire una sola password.


Regole per la visualizzazione dei documenti criptati

L' Amministratore può visualizzare tutti i documenti inserendo solo la sua password.
Non esiste password personale per l' Amministratore

A livello Utente

MagicDoc prevede a livello utente due livelli di sicurezza e pertanto due password.

· Password personale
· Password di secretazione

L' Utente entra nel programma digitando la password personale e la password
di secretazione.

Chi non fosse interessato alla gestione utenti può entrare sempre come amministratore
digitando solo una password)

Documenti che possono essere visionati dall' Utente

L' Utente per visionare un particolare documento ha diverse possibilità.

· Avere lui immesso il documento
· Appartenere al Gruppo utenti che permette la visione del documento

Naturalmente l' Utente deve essere anche entrato con password di secretazione almeno pari al livello di secretazione del documento.

Potrebbe capitare che un Utente abbia bisogno di un documento per il quale lui non è autorizzato alla visione. L' impossibilità di vedere il documento sicuramente comporta problemi organizzativi e incide sulla produttività del lavoro.
Abbiamo pertanto previsto la possibilità di "Spedizione" del
documento all' Utente da parte di un altro Utente che è autorizzato alla visione del documento.

Esempio:
Il responsabile del reparto, con a disposizione una password di secretazione di livello maggiore, vista la necessita del suo subordinato di avere un certo documento decide
di spedirglielo.

Tutti i movimenti dei documenti, modifiche e visualizzazioni vengono registrate in un file log con data ora e nome utente.


Inserimento nuovi Utenti

L' Amministratore è l'unico che può inserire nuovi Utenti nel programma.

Scegliere dal menu principale Utilità e Servizi

Poi Utenti

Comparirà la finestra per la gestione degli Utenti, premere come in figura per nuovo inserimento

Apparirà la maschera per l'inserimento dei dati

· Codice - sia numeri che lettere a scelta
· Utente, nome dell'utente
· Password, password personale dell'utente (potrà essere cambiata in seguito dall' utente)

Terminato l'inserimento dei dati salvare come indicato in figura


Modifica Utenti

I dati e la Password degli Utenti possono essere modificati dagli Utenti stessi o dall' Amministratore
mentre solo l' Amministratore può inserire nuovi Utenti.

Scegliere dal menu principale Utilità e Servizi

Poi Utenti

Comparirà la finestra per la gestione degli Utenti, premere come in figura per modificare i dati Utente

Terminata la modifica dei dati salvare come indicato in figura oppure abbandonare le modifiche.


Inserimento Utenti in Gruppi utenti

Ogni utente, affinchè possa visualizzare i documenti, deve essere assegnato
in Gruppi utenti. Potrà così visualizzare i documenti che sono previsti per quel
determinato Gruppo utenti. Ogni utente può essere assegnato in più Gruppi utenti.

L' Utente che ha inserito un determinato documento potrà visualizzarlo indipendentemente
dai Gruppi utenti a cui è stato assegnato.

Scegliere dal menu principale Utilità e Servizi

Poi Utenti

Comparirà la finestra per la gestione degli Utenti, premere come in figura per assegnare l' Utente in Gruppi utente

Scegliere i Gruppi utente da assegnare all' Utente


Inserimento nuovi Gruppi utenti

L' Amministratore è l'unico che può inserire nuovi Gruppi utenti nel programma.

Scegliere dal menu principale Utilità e Servizi

Poi Gruppi utenti

Comparirà la finestra per la gestione dei Gruppi utenti, premere come in figura per nuovo inserimento

Apparirà la maschera per l'inserimento dei dati

· Codice - sia numeri che lettere a scelta
· Descrizione, descrizione del Gruppo utenti
· Tutti soggetti inclusi, se spuntato gli Utenti di questa categoria sono autorizzati a vedere i documenti di tutti i soggetti (clienti/fornitori) indipendentemente da quanto scelto nel tab Soggetti collegati
· Tutte le categorie documenti incluse, se spuntato gli Utenti sono autorizzati a vedere tutti i documenti indipendentemente dalla categoria

Terminato l'inserimento dei dati salvare come indicato in figura


Modifica Gruppi utenti

L' Amministratore è l'unico che può modificare i Gruppi utenti.

Scegliere dal menu principale Utilità e Servizi

Poi Gruppi utenti

Comparirà la finestra per la gestione dei Gruppi utenti, premere come in figura per modifica

Terminata la modifica dei dati salvare come indicato in figura oppure abbandonare le modifiche.


Inserimento soggetti

Ad ogni Gruppo utenti è possibile assegnare i soggetti (clienti/fornitori) per i
quali l'Utente (assegnato al Gruppo utenti) sarà autorizzato alla visione.

Esempio:
Gruppo utenti con assegnato solo un soggetto ALFA srl. Gli Utenti allocati
a questo gruppo potranno visualizzare solo i documenti appartenenti al soggetto ALFA srl.

Ogni Utente può essere assegnato a più Gruppi utenti.

Aprire la finestra Gruppi Utenti come per la modifica

Comparirà la finestra per la gestione dei Gruppi utenti, premere come in figura per aggiungere e/o
cancellare soggetti.

Sarà così possibile premendo su Inserimento soggetto aggiungere soggetti o cancellarli premendo sul
pulsante subito sotto

Dopo aver premuto su Inserimento soggetto comparirà la finestra soggetti da dove si potrà scegliere
il soggetto con doppio mouse clic o premendo return.


Inserimento Categorie documenti

Ad ogni Gruppo utenti è possibile assegnare le Categorie Documenti per le
quali l'Utente (assegnato al Gruppo utenti) sarà autorizzato alla visione.

Esempio:
Gruppo utenti assegnato Categoria documenti Fatture. L' utente assegnato
a questo gruppo potrà visualizzare solo i documenti che appartengono a questa
categoria.

Ogni Utente può essere assegnato a più Gruppi utenti.

Aprire la finestra Gruppi Utenti come per la modifica

Comparirà la finestra per la gestione dei Gruppi utenti, premere come in figura per aggiungere e/o
cancellare Categorie di documenti

Per inserire una nuova categoria documenti nei Gruppi documenti scegliere la categoria nei tre controlli
a destra, scegliere un solo livello, due o tutti e tre. poi premere come in figura.


Assegnare Utenti ai Gruppi utenti

Ogni Utente può essere assegnato a più Gruppi utenti.

Aprire la finestra Gruppi Utenti come per la modifica

Comparirà la finestra per la gestione dei Gruppi utenti, premere su Utenti assegnati

Per assegnare al Gruppo Utenti un utente selezionarlo sulla desta e premere <SCELTA, per cancellarlo selezionarlo
a sinistra e premere STORNO>


Inserimeto categorie documenti

Scegliere dal menu principale Archiviazione e Ricerca o premere sull' icona

Comparirà la finestra per la gestione e ricerca dei documenti, Posizionarsi con il mouse su <TUTTI>
e premere il pulsante destro (destro mouse clic)

Apparirà un menu, scegliere aggiungi livello figlio

Inserire nella finestra il codice e la descrizione della categoria documenti

Procedere nello stesso modo per i livelli inferiori. Sono permessi fino a tre livelli


Modifica categorie docuemnti

Scegliere dal menu principale Archiviazione e Ricerca o premere sull' icona

Comparirà la finestra per la gestione e ricerca dei documenti, Posizionarsi con il mouse sulla categoria da
modificare e premere il pulsante destro (destro mouse clic).

Comparirà una finestra per la modifica della descrizione della categoria. Non è possibile modificare
il codice.


Archiviazione documento cartaceo

Scegliere dal menu principale Archiviazione e Ricerca o premere sull' icona

Comparirà la finestra per la gestione e ricerca dei documenti.

E' anche possibile usare il popup menu (clic destro nel browser a destra dove vengono visualizzati i documenti)

Premere sull' icona come in figra per iniziare la scansione.

Attendere che lo scanner acquisisca il documento (spesso è necessario aspettare che la lampadina dello scanner si riscaldi). Non appena l'acquisizione termina, il documento apparirà nella finestra. Continuare allo stesso modo per eventuali pagine successive.
Procedere poi con la scrittura dell'Oggetto - fare molta attenzione alle parole scelte in quanto queste serviranno poi come chiavi nella ricerca del documento. E' possibile anche utilizzare la finesta per la scelta veloce (premere sul pulsante a sinistra dell'oggetto).
Ad ogni documento è anche possibile assegnare:

· numero
· data
· scadenza
· soggetto (ad es. fornitore, cliente - utile per l'archiviazione di fatture)
· numero interno di riferimento
· note
· livello di secretazione (1min 4 max)
· la categoria a cui appartiene, può anche non essere inserito in categorie
· un documento collegato

Salvare i dati


Archiviazione documento elettronico

Scegliere dal menu principale Archiviazione e Ricerca o premere sull' icona

Comparirà la finestra per la gestione e ricerca dei documenti.

E' anche possibile usare il popup menu (clic destro nel browser a destra dove vengono visualizzati i documenti)

Premere sull'icona come in figura

Apparirà una finestra per la ricerca del file da importare

Scegliere il file/documento

Prima di salvare bisogna anche decidere se mantenere solo il Link al documento (opzione NO COPIA) oppure importare una copia del documento in MagicDoc (opzione BACKUP IN MagicDoc).
Scegliendo Backup in MagicDoc una copia criptata del documento verrà trasferita nella cartella di MagicDoc.
Per visualizzare il documento è sufficiente premere sull'icona.

Scegliendo Local verrà visualizzato il documento dalla sua posizione originale. Scegliendo Backup verrà visualizzata la copia del documento salvata in MagicDoc.

Procedere poi con la scrittura dell'Oggetto - fare molta attenzione alle parole scelte in quanto queste serviranno poi come chiavi nella ricerca del documento. E' possibile anche utilizzare il tasto a sinistra dell'oggetto (fa comparire una finestra con parole preimpostate).

Ad ogni documento è anche possibile assegnare:

· numero
· data
· scadenza
· soggetto (ad es. fornitore, cliente - utile per l'archiviazione di fatture)
· numero interno di riferimento
· note
· livello di secretazione (1min 4 max)
· la categoria a cui appartiene, può anche non essere inserito in categorie
· un documento collegato

Salvare i dati

E' naturalmente possibile salvare nella stessa finestra/documento anche un documento acquisito tramite scanner o altra periferica. Ad esempio si pensi ad un documento word che deve essere firmato. Questo non appena firmato può venire acquisito tramite scanner e salvato assieme al documento word.

Inoltre è anche possibile importare i documenti usando il Drag and drop, è sufficiente trascinare il file dalla cartella nell'area dove è presente l'icona per la ricerca dei file in MagicDoc (area Importa Documento Windows) .


Archiviazione immagini già possedute

E' possibile importare immagini/documenti già esistenti nei formati TIFF,JPG etc. come se queste fossero acquisite tramite scanner.

Scegliere dal menu principale Archiviazione e Ricerca o premere sull' icona

Comparirà la finestra per la gestione e ricerca dei documenti.

Premere sull' icona come in figura

Apparirà una finestra per la scelta del file


Ricerca e/o modifica documenti modalità semplice

La ricerca di documenti "semplice" viene effettuata su una sola parola direttamente nel browser documenti.

Scegliere dal menu principale Archiviazione e Ricerca o premere sull' icona

Comparirà la finestra per la gestione e ricerca dei documenti.

Digitare la parola ricercata. La ricerca parte istantaneamente. La prima parola ricercata viene trovata. Per trovare la seguente premere CTRL - freccia in giù.
Dopo aver trovato il documento premere sull'icona come in figura.
In alternativa premere il tasto destro del mouse per far aprire il PopUp Menu dal quale è anche possibile aprire direttamente i documenti.


Ricerca e/o modifica documenti modalità avanzata

La ricerca avanzata viene effettuata utilizzando il Full Text Engine; ricerca su tutti i campi presenti nel database.
Procedere nel modo seguente:
Scrivere nel campo Oggetto le parole ricercate. Dopo aver inserito le parole premere il pulsante Lente a destra. Verranno visualizzati tutti i documenti in cui compaiono le parole ricercate.

E' inoltre possibile scegliere il modo in cui i documenti vengono ordinati:ù

· PER PROTOCOLLO
· PER DATA DOCUMENTO
· PER SCADENZA

Attivando il CheckBox Solo da eseguire verranno visualizzati solo i documenti in scadenza (che hanno la data di scadenza inserita) ma non sono stati ancora chiusi - scadenze aperte.


Visualizzazione documenti

Per visualizzare documenti acquisiti tramite scanner, macchina fotografica ecc.. (parte superiore della finestra) premere come indicato in figura.
In alternativa è possibile usare il vostro programma preferito per visualizzare il documento. In pratica verrà utilizzato il programma impostato in Windows per visualizzare lo specifico tipo di file.

Per visualizzare i documenti elettronici, premere come in figura. Scegliendo LOCAL verrà visualizzato il documento originale, scegliendo BACKUP verrà visualizzata la copia del documento presente in MagicDoc (ovviamente il documento deve essere stato precedentemente salvato utilizzando l'opzione Backup in MagicDoc)

E' inoltre possibile inserire indirizzi web.


Spedizione documenti via E-mail

I documenti possono venire spediti via E-mail.
Premere l'icona come in figura a seconda se il documento è una immagine o se si tratta di documento elettronico.
I documenti prima di essere spediti verranno anche automaticamente compressi nel formato ZIP


Installazione PDF995

Scaricare da internet il programma www.pdf995.com
(il file è anche presente sul CD di MagicDoc)
In particolare sono due file molto facili da installare

· pdf995s.exe
· ps2pdf995.exe

PDF995 funziona anche senza registrazione della licenza ma ad ogni stampa fa apparire una pubblicità nel vostro browser. Registrando il programma (costo di circa 9,5 USD) la pubblicità scompare.
La registrazione viene effettuata attraverso un codice di attivazione fornito al momento dell'acquisto. Tale codice può essere acquistato direttamente dal sito www.pdf995.com.
PDF995 è uno dei migliori convertitori PDF in commercio, il suo costo è così basso perchè è basato sul programma GhostScript che è distribuito con la licenza open source.

Ultimata l'installazione di PDF995 eseguire MagicDoc e dal menu principale scegliere UTILITA' E SERVIZI e IMPOSTAZIONI PDF INI.


Importare i documenti in formato PDF
Previous Top

MagicDoc offre la possibilità di importare da qualsiasi programma Documenti in formato standard PDF. A tal fine utilizza PDF995. PDF995 è un programma che installa sul vostro sistema una stampante virtuale. Utilizzando questa stampante invece di quella tradizionale, la stampa viene indirizzata in un file PDF invece che su carta il file PDF viene a sua volta importato in MagicDoc.
Risulta così possibile importare documenti da qualsiasi programma provvisto della possibilità di stampa. Ad esempio è possibile navigare in internet e "stampare" un sito direttamente in MagicDoc.
1) Ovviamente bisogna installare PDF995.
2) Scegliere di stampare dal vostro programma, (la finestra dipende dal programma usato) e scegliere la stampante PDF995

Automaticamente apparirà la finestra di MagicDocPDF

Compilare i campi e salvare.
E' possibile visualizzare il documento premendo sull'icona PDF, spedire il documento via Email o semplicemente salvare il documento senza importarlo in MagicDoc (pulsante Salva PDF)